export default async function saraBissoCatNewsApi() {
  const route = `https://backoffice.ajkal.us/category-news/4`;

  // Add error handling for fetch
  // let bannerList = [];
  try {
    let data = await fetch(route, {cache: 'no-cache'});
    // Check if the fetch was successful (HTTP status code 200)
    if (!data.ok) {
      throw new Error(`Failed to fetch data: ${data.statusText}`);
    }
    let saraBissoData = await data.json();
    return saraBissoData?.data; // Safely extract the data
  } catch (error) {
    console.error("Error fetching data:", error);
  }
}
